Bug 820335 - Audio passthrough seems to be broken on F17 hosts
Audio passthrough seems to be broken on F17 hosts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spice-gtk (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Marc-Andre Lureau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 12:27 EDT by Adam Williamson
Modified: 2012-05-26 03:09 EDT (History)
9 users (show)

See Also:
Fixed In Version: spice-gtk-0.12-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:09:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-05-09 12:27:33 EDT
It seems like audio passthrough is completely broken on my F17 host. I've tried several guests and I can hear sound from none of them. The guests think sound is working fine - pavucontrol shows apps playing sound, in Linux guests - but on the host, no sound is heard, and pavucontrol doesn't think any app is playing audio.

This is with various guests all configured and run through virt-manager. I have no kind of weird config tweaks, I'm just a dumbnuts OOTB GUI user. Audio passthrough used to work on this host machine, though I can't recall precisely when it broke. I just compared with my laptop, which is running F16 - if I create a guest on that and boot an F17 live image on it, audio passthrough works fine. Laine Stump confirmed on IRC that guests on his F17 host don't seem to have working audio passthrough either.

How would one go about debugging this? I'm not really sure where to start.
Comment 1 Laine Stump 2012-05-09 13:30:20 EDT
For a more scientific test, I've just moved a working guest image and configuration from an F16 host (where sound was working) over to an F17 host. Sound in the guest stopped working (sound *is* working for applications running directly on the host).
Comment 2 Marc-Andre Lureau 2012-05-09 20:04:10 EDT
Can you try with any other client? virt-viewer for eaxmple?

I think this is a recent regression in python bindings (which doesn't use the public constructor somehow)

2012-05-10 01:56:48,884 (cli:83): Uncaught exception:
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/console.py", line 475, in _channel_new_cb
    self.audio = spice.Audio(self.spice_session)
TypeError: GObject.__init__() takes exactly 0 arguments (1 given)
Comment 3 Laine Stump 2012-05-09 20:44:31 EDT
Well diagnosed! virt-viewer does provide working audio from the guest. So what is the fix?
Comment 4 Marc-Andre Lureau 2012-05-10 07:35:43 EDT
spice-gtk update coming
Comment 5 Fedora Update System 2012-05-10 07:36:24 EDT
spice-gtk-0.12-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/spice-gtk-0.12-3.fc17
Comment 6 Fedora Update System 2012-05-10 16:41:57 EDT
Package spice-gtk-0.12-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spice-gtk-0.12-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7639/spice-gtk-0.12-3.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-05-26 03:09:38 EDT
spice-gtk-0.12-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.